About CrystalPort

Thank you for downloading the CrystalPort Browser. Although it is considered to be a "front end" for Internet Explorer, the many features of the browser make it distinctly separate from the familiar features of IE. Featuring a fully skinnable interface, one-click searching, a customizable channel bar, cascading windows, tabs, etc... the browser emphasizes ease of use, power, and customization. In order to get the most out of your Internet experience and the browser, please consult the help files and forums for support and tips.

Thank you again for using CrystalPort.

Getting started with CrystalPort

Getting Help

Adding shortcuts


Getting started with CrystalPort

CrystalPort contains features that will allow you to personalize your Internet experience. Some of these features can be found under the View tab. You can select which toolbars to use ( standard buttons, address bar, search bar, status bar), text size, select background pictures, and customize buttons.

To select and disable toolbars:

1. From the View tab select Toolbars

2. A menu with the toolbar selections appears. Select which toolbar to open by clicking on it. A check mark will appear next to your selection.

3. To disable toolbars uncheck the desired toolbar to remove.

To change text size:

1. From the View tab select Text Size.

2. A menu appears with text sizes from smallest to largest. Select desired text size by clicking on it. A check mark will appear next to your selection.

To select toolbar background pictures:

1. From the View tab select Toolbars.

2. The toolbar menu appears. Click Customize, which is located under the toolbar selection menu.

3. The Customize Toolbar window appears. Under the Background Picture box click the Browse button.

4. Locate the directory folder that contains the picture of your choice and click on it.

(note: background pictures must be bitmap (*.bmp) images)

To customize toolbar buttons:

1. From the View tab select Toolbars.

2. The toolbar menu appears. Click Customize, which is located under the toolbar selection menu.

3. The Customize Toolbar window appears. Under the Customize Buttons section, select which type of buttons you would like to customize (Hot Toolbar Buttons or Static Toolbar Buttons).

4. Click the Browse button.

5. Locate the directory folder that contains the bitmap for the buttons of your choice and click on that bitmap file.

Toolbar button specifications:

The bitmap that contains the customized toolbar graphic must have 9, 24x24 pixel images arranged horizontally in the following order :

Back, Forward, Stop, Refresh, Home, Mail, Print, Favorites, History


Adding a channel to the Channel Bar

1. From the CrystalPort Menu Bar click on Channels.

2. Click on Add to Channel from the pop-up menu.

3. At the bottom of the box titled Channel click Add.

4. A pop-up window titled Create New Channel will appear.

5. Type in the name of the Channel as you wish it to appear on your Channel Bar.

6. Click OK.

7. Your custom channel has now been added to your Channel Bar.


Adding a site to a Channel

1. From the CrystalPort Menu Bar click on Channels.

2. From the Pop-up menu click on Add To Channel.

3. Enter the name of the site that you wish to add.

4. In the left-hand box, titled Channel, select the Channel that you wish to add to by clicking on it once.

5. Now select the folder where you wish to access the site from.

6. Click OK. The site has now been added to the channel and folder that you have selected.


Adding a sub folder to the Channel Bar

1. From the CrystalPort Menu Bar click on Channels.

2. Click on Add to Channel from the pop-up menu.

3. At the bottom of the box titled Folders click Add.

4. A pop-up window titled Create New Sub Folder will appear.

5. Type in the name of the sub folder as you wish it to appear.

6. Click OK.

7. Your custom sub folder has now been added to your Channel Bar.


Disable Animations

1. Click on Tools from the menu bar.

2. Click on Play animations.

3. If there is no longer a check next to Play animations, then the animations have been disabled.


Disable Images

1. Click on Tools from the menu bar.

2. Click on Display inline images.

3. If there is no longer a check next to Display inline images, then the images have been disabled.


Disable Music

Disable Music and Sounds

1. Click on Tools from the menu bar.

2. Click on Play background sounds.

3. If there is no longer a check next to Play background sounds, then sounds have been disabled.


Disable Videos

1. Click on Tools from the menu bar.

2. Click on Display inline videos.

3. If there is no longer a check next to Display inline videos, then the videos have been disabled.


CPF Editor

Editing CPF files allows you to search, drag shortcuts, delete URLs, organize them, and view them as normal favorites without importing them into the IE favorites.
(For instance, if you want to view your favorites at a friend's house, you might want to use the CPF editor to view them instead of putting the favorites in their personal list)

When you edit a CPF file, you will see a dialog like this:

The size on this screenshot has been widened to show all of the features.

CPF Editor Toolbar

Search - Toggles the search box, which allows you to search the CPF File.

Always On Top - Toggles the window to be always on top.

Show Favorites - If you've searched your favorites, this will show ALL of your favorites in the hierarchy format again.

Save - This saves the current layout to the CPF File.

Clear - This clears the window so you can start fresh.


Import CPF File

Allows you to import your cpf style favorites into your IE style favorites.

When you run a CPF file, you will see a dialog like this:

The Refresh button refreshes the list of directories if they have been updates since the dialog was shown.

The New Folder button allows you to create a new folder to organize your favorites in.

The Manage button opens the CPF Editor. More

When you are finished choosing your options, click OK to import your CPF Favorites into your IE Favorites.


Importing Internet Explorer and Netscape favorites

Importing Netscape favorites

With CrystalPort you can Import your Favorites lists from Netscape browsers. Eliminating the need to retype favorite URL's.

To Import Internet Explorer and netscape favorites:

1. Click the Tools tab.

2. Select Import and Export Favorites.

3. A menu appears containing all the importing and exporting options. Select Import Netscape favorites.

4. If Netscape is installed, the users should be listed, so pick the user name of that bookmarks you would like to import. If Netscape is not installed or is in a non-standard location, the browser will automatically scan the hard drive for valid bookmark files. If you wish to skip the scanning process, click on "Scan", then go back to specify where you want to import the bookmarks from.

5. After you have specified which file to import from, a dialog will show asking you where you would like to import the bookmarks to. Select the folder of your choice, then click on finish. The bookmarks are now imported.


Indexing favorites

Indexing provides better search capabilities URL content to your favorites list.

To index favorites:

1. Click on the Tools tab.

2. The tools menu appears. Click on Index Favorites.

3. A window appears telling you that your favorites are being indexed.

4. To see your favorites with URL content (a description of what is on the webpage) click on the Tools tab.

5. Select Import and Export Favorites.

6. A menu appears. Select View Favorites as Netscape-Style.


Organize your Favorites

1. From the CrystalPort menu bar, click on Favorites.

2. Click on Organize Favorites.

3. Another pop-up window will appear displaying favorite folders and favorite files.

4. Simply drag files to the appropriate files.

5. In order to create additional folders, from the File menu (located on the Windows Explorer task bar), select New.

6. Click on Folder in the side pop-up menu.

7. A new folder has been created. Continue organizing until your heart is content.


Saving Favorites (or Bookmarks) to the Internet

Saving Favorites to the Internet

If you have the Advanced or Professional version, CrystalPort allows you to save your favorites to the internet so you can retrieve them anywhere you go.

Save your favorites:

1. On the menu bar, click on "Tools" then "Save Favorites to the Internet"

2. A username and password dialog will come up. Enter the username and password you set up when you signed up for the advanced or professional version.

Your favorites are now saved to the internet.

Retrieving your favorites:

1. For future retrieval, go to http://www.crystalport.com and click on "Login".

2. Enter your username and password and press enter.

3. In the "View Your Favorites" section, you will see three links.

  • Import CrystalPort Favorites

  • View Netscape Style Bookmarks

  • View CrystalPort HTML Bookmarks

"Import CrystalPort Favorites" brings up the import cpf dialog box. More

"View Netscape Style Bookmarks" shows your favorites in the Netscape format so you can directly import them into Netscape.

"View CrystalPort HTML Bookmarks" shows your favorites in a style similar to the Netscape format, but with a smaller font and CSS effects.


View History by Date

1. From the Standard Buttons menu, click on History.

2. A window on the left-hand side will open. At the top

of the window there is a tab titled View. Just to the right

of this button is a down arrow. Click the arrow and then

select By Date from the list.

3. The browser will then compile your history by days of the week for the current week (with a corresponding calendar date for last week and earlier).


View History by Site

1. From the Standard Button Bar, click on History.

2. On the left-hand side, a window will open within

the Browser. At the top of the window there are tabs.

Select the down arrow to the right of the tab titled View.

3. Now select By Site from the list.

4. The b rowser will then compile your history list based on the names of sites -- in alphabetical order -- that you have visited.


View History by Title

1. From the Standard Buttons Bar, click on History.

2. On the left-hand side of the browser a window will

appear. At the top of this window you will find a tab

marked View. Click on the down arrow just to the

right of the View Tab.

3. Select By Title from the list.

4. The Browser will then compile a list of Titles -- in alphabetical order- of websites that you've visited.


Adding a favorite to the Links Bar

Adding a favorite to your Links Bar

1. From the CrystalPort Menu Bar click on Favorites.

2. Select Add to Favorites from the Menu Bar.

3. Another window will pop-up reading: CrystalPort will add this page to your Favorites List..

4. Double-click on the folder named Favorites..

5. Select the Folder named Links and double-click on it.

6. Click OK.

7. The Favorite is now added to your Link Bar.


Adding a folder to the Links Bar

Adding a folder to your Link Bar

1. From the Menu Bar click on Favorites.

2. Select Add to Favorites from the Menu

3. Another Window will pop-up reading: CrystalPort will add this page to your Favorites List.

4. Double-click on the folder named Favorites.

5. Select the Folder named Links and double-click on it.

6. On the bottom left-hand corner, click on New Folder.

7. A new window will pop-up reading: Please enter the name for the new Folder.

8. The window with the message, CrystalPort will add this page to your Favorites List will then display the new folder that you just created.

9. Click on Cancel and the folder will be added without adding the Current Web Browser page to your favorites.

10. Otherwise, click Okay, and the Current Web Browser page will be added to the newly created folder.


Adding a program shortcut to the Links Bar

Adding a program shortcut to the Link Bar

1. Drag the icon for the program you wish to add directly to the Links Bar.

2. That's it!


Turning off pop-up advertising windows

A feature unique to CrystalPort is its ability to disable pop-up advertising windows.

To disable pop-up advertising:

1. Click the Tools tab.

2. The Tools menu appears. Select Disable Pop-up Windows by clicking on it. A check mark will appear next to your selection.

3. To enable pop-up windows advertising remove the check from Disable Pop-up Windows.

To open pop-ups in a new tab:

1. Click Tools.

2. Select Open Pop-ups in a new tab.


Viewing disabled pop-up windows

Disabled pop-up advertising windows can be viewed and opened using the Disabled Pop-up Windows function. This function shows the pop-up windows that have been disabled so that they can be accessed if needed.

To view disabled pop-up windows:

1. Click the Tools tab.

2. The tools menu appears. Select Disabled Pop-up Windows.

3. A list of disabled pop-up windows appears. Select the one you wish to view.


Adding custom search engines

CrystalPort allows you to select and store your favorite search engines for easy access.

To add a search engine:

1. Go to the site that you would like to add.

2. Perform a search on that search engine. (Preferably with a two-word query like, "Hello World")

3. After the search is completed, click on the drop down menu arrow located in the search toolbar.

4. A menu appears. Select Add Current Page.

5. A dialog box will appear. In the Name box, enter the name of the search engine as you would like it to appear in the browser. In the query box, pick the query you typed in in step 2. Press OK.

6. The search engine is now stored. To access the search engine go back to the arrow with the drop down menu and select Custom Engines from the menu.

7. A list appears. The search engine you chose to store should be on this list, to select it click on it.


Floating the Search Menu

1. Click on the down arrow in the search bar.

2. Click on Float from the pop-up menu.


Searching with the toolbar

CrystalPort allows you to search your favorite search engines with ease.

To perform a search:

1. Type a query into the drop-down combo box.

2. Select a search engine by clicking on the drop-down button in the search bar.

3. A drop-down menu will appear. Select the search engine that you would like to use.

Until you pick a new search engine, that search engine will be your default. If you want to keep using it, just type a query in the drop-down combo box and press enter.

Quick Searching Tips :

By leaving the query the same and changing search engines, you can view the results of several different search engines very quickly and easily.

Pull the drop-down combo box down to reveal recent search queries. (Note: These can be cleared by click on "Clear Query List" in the drop-down menu shown above.

You can also perform a search with the address bar using all of the same search engines.

Type "Search " then your query and it will search with your default search engine.

(Example: Search hello world) will search your default search engine with "hello world"

You can also do an address bar search and specify your search engine.

(Example: Search hello world, AltaVista) will search AltaVista for hello world.


Adding to a Tab Group

1. From the CrystalPort menu bar, click on Tabs.

2. From the pop-up menu, select Add to Tab Group by clicking on it.

3. A window prompting you to Select file will appear. Once you've found the Tab Group that you wish to add to, double-click on it. This will open the file.

4. From the CrysalPort menu bar, click on Tabs again.

5. Click on Save.

6. You have now added a site to one of your Tab Groups.


Disable Tabs

Disabling Tabs

1. Click on Tools.

2. Click Preferences.

3. Check Allow multiple instances.


How to Open a Tab Group

1. From the CrystalPort menu bar, click on Tabs.

2. From the pop-up menu, select Open Tab Group from the list.

3. From the Look in window, locate the file marked Tab Groups. Unless you have saved your Tab Groups at a different location, then you will find your saved Tab Groups there.

4. Double-click on the desired Tab Group to open.

5. The Tab Group will now be opened.


Pre-loading favorite sites

If you have a favorite that takes a while to boot up, pre-loading the favorite will spare you the hassle of having to sit there and wait. Just open the browser and get all the waiting out of the way, at the very start.

Pre-loading (pre-caching) favorites allows you to store the URL's of your favorite websites so that they open automatically when CrystalPort is opened. The standard version of CrystalPort allows you to load only two websites. The advanced and professional versions allow unlimited pre-loading.

To pre-load a website:

1. Go to the site that you want to pre-load.

2. From the Tools menu select Page Caching.

3. A small menu appears. Click Add.

4. The next time you open CrystalPort it will automatically go to this website.


Removing a Tab

1. From the menu bar click on Tabs.

2. Select Remove Tabs from the pop-up menu list.

3. You can then remove individual tabs by selecting them from another pop-up menu list. Otherwise, you can close all tabs at once by selecting that option from the list.


Saving a Tab Group

1. From the menu bar, click on Tabs.

2. From the pop-up menu, select Save Tab Group from the list.

3. In the Save in window, select the file named Tab Groups.

4. Click the Save button.

5. The t ab g roup is now saved.


Using Tabs

TABS LET YOU BROWSE MULTIPLE SITES AT THE SAME TIME.
Discover the cutting-edge of browser features with Tabs! Tabbing allows you to browse multiple sites at once -- without having to waste valuable resources opening additional windows, or entering additional URLs. Quite simply: Tabs save you time.

SAVE TAB GROUPS
With this feature, you can save as many different groups of tabs as you like. For example, if you are comparing pricing between different companies, you can easily create a tab group that will allow you to keep all the company websites in one place and have access to all of them simultaneously.

TABS AT START-UP
This feature allows users to have multiple Home Pages, meaning simply, every time The Browser is launched it automatically opens those specific Tabs.

ADDING A TAB

1. Click on Tabs in the menu bar.

2. Then click on Add Tab.

3. Choose from the following three options:

Add Current Page adds a tab with the URL from the currently selected tab.

Add Home Page adds a tab set to your default home page.

Add Blank Page adds a tab with no page.

Add From Favorites lets you choose any page from your favorites to add.


Floating the Translation Men u

1. Click on the down arrow in the address bar.

2. Move pointer over the Translate option and another window will pop-up.

3. Click on Float located at the bottom of the list.

4. The Translation Menu will now be floating.


Language Translations

Webpages can be translated into most popular language formats with just one click of your mouse.

To change language:

1. Click on the drop-down menu arrow to the right of the go button.

2. A menu appears. Select Translate located at the top of the menu.

3. A second menu appears with all of the different languges. Click on the language of your choice.


Adding Shortcuts

To add a shortcut to CrystalPort, do the following:

1. Click Tools.

2. Select Preferences.

3. Click on any button under Add Shortcut To, to add a shortcut to that respective location.


Changing the Skin

Changing skin

1. From the Browser menu bar, click on Skins.

2. A pop-up menu will appear, select any skin from the list by clicking on it.

OR

1. From the Browser Menu Bar, click on Skins.

2. A pop-up menu will appear, select Skin Manager from the bottom of the list by clicking on it.

3. The Skin Manager window will appear. Now you can switch between skins in order to quickly preview them merely by clicking on each individual name of a skin.

4. If and when you find a skin that you like, just click on Switch to the selected Skin. This skin will then be imported into the Browser's interface.


Custom Toolbar

Customizing the Toolbar

You can right click on the toolbar to customize it, add/remove toolbars, buttons, and change colors or

1. From the CrystalPort menu bar, click on View.

2. Select Toolbars from the pop-up menu.

3. Click on Customize.


Removing the Advertising Banner

Disabling the Advertising Bar

(Professional edition only)

1. Click View

2. Uncheck Ad Banner.

If you do not have the professional edition, you can purchase it here for only $19.95!


KeyboardShortcuts

Because it enables the user to execute commands so much faster, an important aspect of functionality is hotkey support. The following is the complete list containing all current hotkeys for various browser functions.

Shortcut | Action
ALT + HOME | Home
ALT + LEFT | Back
ALT + RIGHT | Forward
CTRL + R | Refresh
ESC | Stop
CTRL + L or CTRL + O | Open
CTRL + N | New Window
CTRL + W | Close Window
CTRL + S | Save
CTRL + P | Print
CTRL + H | Shows the history explorer bar.
CTRL + I | Shows the favorites explorer bar.
ALT + D | Selects the address bar.
CTRL + D | Add to Favorites
CTRL + B | Organize Favorites
CTRL + U | View Source
ALT + S | Shows the search pop-up menu.
CTRL + TAB | Next Tab
CTRL + SHIFT + TAB | Previous Tab
F1 | Shows the About dialog box.
F2 | Hides or shows the channel bar.
F3 | Hides or shows the folder/link bar for channels.
F4 | Toggles "Disable All Pop-Up Windows"
F5 | Refreshes the current web page.
F6 | Forces a new window with the current page.
F7 | Tiles the CrystalPort browser windows.
F8 | Closes the current tab, and adds it to the disabled pop-up list.
F9 | Closes the current tab.
F10 | Closes all tabs.
F11 | Closes all tabs - keeps the current tab.
F12 | Toggles whether or not a new tab is automatically switched to.


Moving the Ad vertising Window

Hold left mouse button on MOVE bar and drag to desired location.


Paranoia

Located under Tools this button clears your tracks by doing the following:

Clears the address bar history.

Clears the search bar history.

Clears the main h istory.

Clears the Recent Documents.

Clears you r Temporary Internet files.


The CrystalPort toolbar

Here is an overview of the CrystalPort toolbar.

File menu:

New Window - Opens the current page in a new window of CrystalPort. You can also access this function by pressing CTRL-N.

Open - Shows the open location dialog. Allows you to type an address or browse to a file on your hard drive.

Edit - This is reserved for future use.

Save - This is reserved for future use.

Save As - Allows you to save the current page on your hard drive.

Page Setup - Allows you to edit the layout of a page when printed.

Print - Sends the current page to your printer.

Print Preview - Implemented in IE 5.5 and above. Allows you to preview what the current page will look like when printed.

Properties - Shows details about the current page.

Work Offline - If an internet connection is not availabled, the browser will work from the cache.

Close - Closes the main browser window.

Edit menu:

Cut - Cuts the currently selected text from the browser. (For use in Edit mode)

Copy - Copies the currently selected text in the browser to the clipboard.

Paste - Pastes to the browser (For use with the edit mode)

Select All - Selects everything in the browser.

Find On This Page - Lets you search the current page for a word or phrase. Useful for searching large documents for the word you were looking for.

View Menu:

Toolbars - Allows you to customize your main toolbar

Status Bar - Turns the status bar on and off

GoTo - Shows the current navigation list and allows you to go back, forward and home.

Stop - Stops loading the current page, or stops music and animations.

Refresh - Reloads the current page from the web server.

Text Size - Changes the font size of the web page.

History - Shows the history explorer bar, which allows you to view and search your history.

Source - Shows the HTML source of the current web page in your default source viewer (usually Notepad)

Full Screen - Maximizes the window beyond the border of the screen.

Internet Options - Show Internet Explorer's Options.

Favorites menu:

Add To Favorites - Adds the current page to your list of favorites.

Organize Favorites - Opens your favorites in explorer so you can move them, rename them, edit them, etc.

Tools menu:

Page Caching

Cached Pages

Disable Pop-Up Windows

Disabled Pop-Up Windows

CPF Editor

Customizing the Toolbar


Check for Updates

1. From the CrystalPort Menu Bar, click on Help.

2. Select Check for Updates from the pop-up menu.

3. You will then be taken to the CrystalPort website where you will automatically be told which version of CrystalPort you have and whether or not there is a newer version.


Getting Help

If you have any problems with CrystalPort, please submit your problem to our website at
http://www.crystalport.com/support.asp
or post to our message boards by going to our main page and clicking on "Forums".

You can also email us at support@crystalport.com.


Customizing E-mail

This is the easiest way in which to change the E-mail settings for CrystalPort Browser.

1. From the CrystalPort Menu Bar, click on Tools.

2. Select Preferences from the bottom of the list.

3. From the pop-up window titled, CrystalPort - Preferences click on IE Settings in the setup box.

4. Select the tab titled Programs, by clicking once on it.

5. From the E-mail bar select the Mail Client that you wish to change to.

6. Click on Apply. Then Click OK.

7. From the Standard Buttons Toolbar, click on the down arrow just to the right of the Mail Button.

8. Select Customize from the pop-up menu list.

9. Another window titled, Customize Default Mail Client, will appear.

10. The pathname of your default Mail Client will appear in the location bar (this is what you just completed doing in step 6).

11. Click the Use Registered Mail Client button. Then click Apply, and OK.

13. CrystalPort's E-mail configuration has now been changed.

[Note: The alternative to step 11 is to click on the "Register as Mail Client" button which will change Window's Registered Mail Client default to match your CrystalPort's setting.]


Disable All Pop-ups

1. Click on Tools from the browser's menu bar.

2. Click on Disable all pop-up windows.

Alternatively, you can press F4 to toggle this setting.


Disable Specified Pop-Ups

Disable P op-ups f rom a Specific Location

1. Click on Tools from the menu bar.

2. Click on Specify Selected pop-up windows

3. A pop-up window will appear. Click on Add.

4. Another window titled, Disable URL, will appear. Type in the appropriate URL for the website containing pop-ups that you wish to disable.

5. Click OK.

Alternatively, you can press F8 to close the current tab, add it to the list of disabled pop-ups, and enabled the "pop-up screening".


Making CrystalPort your Default Browser

1. From the Browser Menu Bar click on Tools.

2. Select Preferences from the pop-up menu.

3. In the File Types box of the Preferences window, click on the Set CrystalPort Browser as the default browser button.

4. Click OK.

5. CrystalPort is now your default browser.